#ifndef humanio_H
 #define humanio_H


//Der Taster ist Low-Aktiv
#define tast_pin (PINB & 0x08)

#define cmd_count_max 17

extern u08 volatile leds;
extern u08 volatile taster;
extern u08 volatile tast_wert;
extern u08 volatile tast_wert_max;
extern const char cmd_list[cmd_count_max][7];
extern const s16 cmd_param_range[cmd_count_max][2];
extern const char cmd_answer[7][14];


void timer0_init(void);
SIGNAL(SIG_OVERFLOW0);
void taster_act(void);
void led_update(void);
void interface(void);
void cmd_execute(void);
void wordtostr(char *s, u16 nummer, u08 digits);

#endif
