//Alles was mit A/D Wandlungen zu tun hat

#include "main.h"


void ad_init(void) {
//A/D Wandler wird mit einem Prescaler von 64 initialisiert
//das macht eine Frequenz von 125KHZ (bei F_CPU = 8MHZ)
ADCSR = (1 << ADEN) | (1<< ADSC) | (0x06);
//wartet, bis der erste Konvertierung komplett ist
while (ADCSR & (1<<ADSC));
}

//proceeds an A/D conversion
uint16_t getadc(uint8_t channel) {
ADMUX = channel; //Kanal whlen (select AD channel)
ADCSR |= (1<<ADSC); //Setzt das Bit um die A/D Wandlung zu starten
//wartet, bis die Wandlung komplett ist (waits until the conversion is complete)
while (ADCSR & (1<<ADSC));
return ADCW;
}

