#ifndef ringbuffer_H
 #define ringbuffer_H

#define send_funk_size 35
#define rec_funk_size 5
#define send_232_size 20
//Wir setzen rec_232_size ungefhr auf: Ramsize - andere Variablen - 300Byte
#define rec_232_size 550

//was ber Funk empfangen wurde
extern u16 rec_funk[rec_funk_size];
extern u08 rec_funk_read;
extern u08 rec_funk_write;
extern u08 rec_funk_free;

//was ber RS232 gesendet werden soll
extern u08 send_232[send_232_size];
extern u08 send_232_read;
extern u08 send_232_write;
extern u08 send_232_free;

//was ber RS232 empfangen wurde
extern u08 volatile rec_232[rec_232_size];
extern u16 rec_232_read;
extern u16 volatile rec_232_write;
extern u16 volatile rec_232_free;

//war ber Funk gesendet werden soll
extern u08 send_funk_read;
extern u08 send_funk_write;
extern u08 send_funk_free;
extern u16 send_funk[send_funk_size];

u08 send_funk_status(void);
void send_funk_put(u16 value);
void send_funk_put_next(u16 value);
u16 send_funk_get(void);
u08 rec_funk_status(void);
void rec_funk_put(u16 value);
u16 rec_funk_get(void);
u08 send_232_status(void);
void send_232_put(u08 value);
u08 send_232_get(void);
u08 rec_232_status(void);
u08 rec_232_get(void);

#endif
